<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" />
<xsl:strip-space elements="*" />

 <xsl:template match="hud">
  <overlay>
   <file>hudmaker_data/background_%u_%u.png</file>
   <startframe><xsl:value-of select="@startframe"/></startframe>
   <numframes><xsl:value-of select="(@endframe - @startframe)"/></numframes>
   <fadelength>21</fadelength>
   <fadewidth>WIDTH/3</fadewidth>
  </overlay>
  <xsl:if test="@tasvideos='1'">
    <overlay>
     <file>hudmaker_data/bling_%u_%u.png</file>
     <startframe><xsl:value-of select="@startframe+10"/></startframe>
     <numframes><xsl:value-of select="(@endframe - @startframe)-20"/></numframes>
     <fadelength>20</fadelength>
     <fadewidth>WIDTH/3</fadewidth>
    </overlay>
  </xsl:if>
  <overlay>
   <xsl:apply-templates select="text" />
   <startframe><xsl:value-of select="@startframe+30"/></startframe>
   <numframes><xsl:value-of select="(@endframe - @startframe)-30"/></numframes>
   <fadelength>15</fadelength>
   <fadewidth>WIDTH/3</fadewidth>
  </overlay>
 </xsl:template>

 <xsl:template match="@*|node()">
  <xsl:copy>
   <xsl:apply-templates select="@*|node()"/>
  </xsl:copy>
 </xsl:template>

</xsl:stylesheet>
